#!/usr/bin/perl -w

# set to 1 if you want to drop the dep
my $drop=0;

push @SPECHOOKS, 
sub {
    my ($spec, $parent) = @_;
    # valid hook
};

use RPM::Source::Tools::Dependency::Filter;
use RPM::Source::Transformation::Factory::DependencyFilter;

&RPM::Source::Transformation::Factory::DependencyFilter::register_filter(
    -class => 'FixSetupToolsTestsRequires',
    -tags => SPEC_TAG_REQUIRES|SPEC_TAG_BUILD_REQUIRES,
);

package FixSetupToolsTestsRequires;

use strict;
use warnings;
use RPM::Source::Tools::Dependency::Filter;
our @ISA=q/RPM::Source::Tools::Dependency::Filter/;

sub apply {
    my ($self, $tagobj, $dep) = @_;
    my $pkgname=$dep->{-name};
    if ($pkgname eq 'python-module-setuptools-tests') {
	if ($drop) {
	    delete $dep->{-name};
	} else {
	    # replace
	    $dep->{-name}='python-module-setuptools';
	}
    }
    return $dep;
}

1;
